@import url("https://fonts.googleapis.com/css2?family=Cuprum:wght@400;500;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Cuprum:wght@400;500;700&display=swap");
.hidden {
  display: none;
}

.visible {
  display: flex;
  flex-direction: column;
}

@keyframes sectionMoveIn {
  0% {
    transform: translateY(-720px);
  }
  100% {
    transform: translateY(0px);
  }
}
@keyframes moveLeft {
  0% {
    transform: translateX(0px);
  }
  100% {
    transform: translateX(-2000px);
  }
}
@keyframes moveFromLeft {
  0% {
    transform: translateX(-2000px);
    opacity: 0;
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
  }
}
@keyframes rotateArrowButton {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(180deg);
  }
}
@keyframes shakeBox {
  0% {
    transform: scale(1);
  }
  25% {
    transform: rotate(15deg);
  }
  50% {
    transform: scale(1.2);
    transform: rotate(-15deg);
  }
  75% {
    transform: rotate(-15deg);
  }
  100% {
    transform: scale(1);
    transform: rotate(15deg);
  }
}
@keyframes showInfo {
  0% {
    transform: translateX(-2000);
  }
  100% {
    transform: translateX(0);
  }
}
@keyframes changeOpacity {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.nav {
  z-index: 2;
  padding-left: 300px;
  height: 100px;
  transition: all 0.4s;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #F6EDE7;
  position: fixed;
  width: 100%;
  box-shadow: 0 2px 20px -6px #cbc7c7;
}
.nav__hamiconWrap {
  width: 30px;
  height: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  pointer-events: none;
  transition: transform 0.3s;
}
.nav__hamiconWrap.hamburger-open .nav__hamiconBar:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}
.nav__hamiconWrap.hamburger-open .nav__hamiconBar:nth-child(2) {
  opacity: 0;
}
.nav__hamiconWrap.hamburger-open .nav__hamiconBar:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}
.nav__hamiconBar {
  width: 100%;
  height: 3px;
  background-color: #000;
  border-radius: 5px;
  transition: transform 0.3s, opacity 0.3s;
}
.nav__hamiconBar:nth-child(1) {
  background-color: #5F292D;
}
.nav__hamiconBar:nth-child(2) {
  opacity: 1;
  background-color: #FFBD59;
}
.nav__hamiconBar:nth-child(3) {
  background-color: #f69f65;
}
.nav__link {
  letter-spacing: 4px;
  padding: 0 18px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  text-transform: uppercase;
  text-decoration: none;
  color: black;
}
.nav__link:visited {
  color: black;
}
.nav__link:hover {
  color: #a6a6a6;
}
@media (min-width: 768px) {
  .nav__link {
    padding: 0 4px;
  }
}
@media (max-width: 916px) {
  .nav__link {
    padding: 0 4px;
    font-size: 14px;
  }
}
@media (min-width: 915px) {
  .nav__link {
    padding: 0 24px;
  }
}
@media (min-width: 1200px) {
  .nav__link {
    padding: 0 32px;
  }
}
.nav__linkImg {
  height: 24px;
}
.nav__logo {
  height: 36px;
}
@media (max-width: 768px) {
  .nav__logo {
    height: 24px;
  }
}
.nav__mobileBtn {
  display: none;
  padding: 12px;
}
.nav__mainBtn {
  background-color: white;
  position: absolute;
  left: 0;
  padding: 16px 32px 8px 64px;
  border-radius: 0 50px 50px 0;
  animation: mainBtnIn 1s;
}
@media (max-width: 768px) {
  .nav__mainBtn {
    padding: 16px 32px 8px 24px;
  }
}
@media (max-width: 768px) {
  .nav {
    padding-left: 140px;
    width: 100vw;
    font-size: 12px;
  }
}

@keyframes mainBtnIn {
  0% {
    transform: translateX(-300px);
  }
  100% {
    transform: 300px;
  }
}
@media (max-width: 600px) {
  .nav {
    z-index: 3;
    box-shadow: none;
    justify-content: flex-end;
  }
  .nav__mobileBtn {
    display: block;
  }
  .nav__link {
    display: none;
  }
  .nav__linkImg {
    height: 38px;
  }
  .nav__linksSocial {
    display: flex;
    margin-top: 24px;
  }
}
.nav-mobile {
  position: absolute;
  overflow-y: hidden;
  height: 100vh;
  flex-direction: column;
  justify-content: flex-start;
  padding: 24px;
}
@media (max-width: 768px) {
  .nav-mobile {
    padding-top: 80px;
  }
}

.nav-mobile-link {
  display: block;
  padding: 12px;
  font-size: 32px;
}

.nav-mobile-link-moreMargin {
  margin-top: 32px;
}

.nav-mobile-mainBtn {
  align-self: flex-start;
  padding: 12px;
  margin-top: 0;
}

.nav-mobileBtn-on {
  position: absolute;
  right: 12px;
}

.footer {
  display: flex;
  gap: 12px;
  margin: 12px 0;
  justify-content: center;
  align-items: center;
  padding: 24px;
  margin-bottom: -24px;
  box-shadow: 1px 3px 14px 3px #cbc7c7;
}
.footer a {
  text-decoration: none;
  color: black;
}
.footer a:visited {
  color: black;
}
.footer a:hover {
  color: #a6a6a6;
}
.footer__info {
  text-align: center;
}

@media (max-width: 600px) {
  .footer {
    flex-wrap: wrap;
  }
  .footer__info {
    width: 100%;
    padding-top: 6px;
  }
}
coop-shadow {
  display: flex;
  justify-content: center;
}
@media (max-width: 768px) {
  coop-shadow {
    padding-top: 100px;
  }
}

.coop {
  width: 100%;
  padding-top: 140px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
@media (max-width: 768px) {
  .coop {
    padding-top: 100px;
  }
}

.coopFirstPage,
.coopSecPage {
  display: flex;
  gap: 24px;
  justify-content: center;
  width: 100%;
  height: 80vh;
}
.coopFirstPage__imgWrapper,
.coopSecPage__imgWrapper {
  display: flex;
  justify-content: center;
  opacity: 0;
}
.coopFirstPage__img,
.coopSecPage__img {
  height: 75vh;
}
@media (max-width: 768px) {
  .coopFirstPage__img,
  .coopSecPage__img {
    height: 60vh;
  }
}
.coopFirstPage__infoWrapper,
.coopSecPage__infoWrapper {
  display: flex;
  align-self: center;
  flex-direction: column;
  max-width: 600px;
  font-size: 18px;
  opacity: 0;
}
.coopFirstPage__infoWrapper a,
.coopSecPage__infoWrapper a {
  padding: 18px 24px;
  width: -moz-max-content;
  width: max-content;
  background: rgb(217, 199, 194);
  border-radius: 8px;
  margin-top: 2rem;
  font-size: 18px;
  text-align: center;
  align-self: center;
  width: 180px;
  box-sizing: content-box;
  border: 2px solid transparent;
}
.coopFirstPage__infoWrapper a:hover,
.coopSecPage__infoWrapper a:hover {
  background-color: transparent;
  border: 2px solid white;
  color: black;
}
.coopFirstPage__infoWrapper .coop__heading,
.coopSecPage__infoWrapper .coop__heading {
  font-size: 18px;
  font-weight: 700;
  margin: 1rem 0px;
}
@media (max-width: 768px) {
  .coopFirstPage__infoWrapper .coop__heading,
  .coopSecPage__infoWrapper .coop__heading {
    margin: 2rem;
  }
}
.coopFirstPage__infoWrapper p,
.coopSecPage__infoWrapper p {
  font-size: 18px;
  padding-left: 48px;
}
@media (max-width: 400px) {
  .coopFirstPage__infoWrapper p,
  .coopSecPage__infoWrapper p {
    font-size: 14px;
    padding: 0 24px;
  }
}
@media (max-width: 768px) {
  .coopFirstPage__infoWrapper p,
  .coopSecPage__infoWrapper p {
    padding: 0 48px;
  }
}
.coopFirstPage__infoWrapper ul,
.coopSecPage__infoWrapper ul {
  padding-left: 48px;
  font-size: 18px;
}
@media (max-width: 400px) {
  .coopFirstPage__infoWrapper ul,
  .coopSecPage__infoWrapper ul {
    font-size: 14px;
    padding: 0 48px;
  }
}
@media (max-width: 768px) {
  .coopFirstPage__infoWrapper ul,
  .coopSecPage__infoWrapper ul {
    padding: 0px 48px;
  }
}
.coopFirstPage__infoContent,
.coopSecPage__infoContent {
  font-size: 14px;
}
@media (max-width: 768px) {
  .coopFirstPage,
  .coopSecPage {
    flex-direction: column;
    height: 100%;
  }
}
@media screen and (min-height: 800px) and (max-width: 1250px) {
  .coopFirstPage,
  .coopSecPage {
    align-items: center;
    height: 100%;
    flex-direction: column !important;
  }
}

.coopFirstPage__imgWrapper {
  justify-content: flex-end;
}
@media (max-width: 768px) {
  .coopFirstPage__imgWrapper {
    justify-content: center;
  }
}

.coopSecPage {
  flex-direction: row-reverse;
  padding-top: 82px;
}
@media (max-width: 768px) {
  .coopSecPage {
    flex-direction: column;
    padding-top: 42px;
  }
}

.coopOpacity {
  opacity: 1;
  transition: opacity 2s;
}

.portfolio {
  display: flex;
  padding-top: 160px;
  justify-content: center;
  position: relative;
}
.portfolio__imgWrapper {
  position: relative;
  opacity: 0;
}
.portfolio__imgWrapper > img {
  height: 80vh;
  width: auto;
  padding: 18px;
}
@media (max-width: 768px) {
  .portfolio__imgWrapper > img {
    height: auto;
    width: 90%;
  }
}
@media (min-width: 800px), (max-width: 1400px) {
  .portfolio__imgWrapper > img {
    height: 100%;
    width: 100%;
  }
}
.portfolio__imgWrapper > a {
  color: black;
  width: 120px;
  padding: 12px 24px;
  border-radius: 8px;
  background: rgba(255, 255, 255, 0.446);
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: opacity 1s;
  text-transform: uppercase;
  letter-spacing: 2px;
  text-align: center;
}
.portfolio__imgWrapper > a:hover {
  background-color: white;
  color: black;
}
@media (max-width: 768px) {
  .portfolio__imgWrapper > a {
    opacity: 1;
  }
}
.portfolio__imgWrapper:hover a {
  transition: opacity 1s;
  opacity: 1;
}
@media (max-width: 768px) {
  .portfolio__imgWrapper {
    display: flex;
    justify-content: center;
  }
}
@media (max-width: 768px) {
  .portfolio {
    align-items: center;
    flex-direction: column;
  }
}
@media (min-width: 800px), (max-width: 1400px) {
  .portfolio {
    width: 100%;
  }
}
@media screen and (min-height: 800px) and (max-width: 1250px) {
  .portfolio {
    align-items: center;
    flex-direction: column !important;
  }
}

.imgWrapper1 {
  animation: changeOpacity 1s forwards;
}

.imgWrapper2 {
  animation: changeOpacity 2.5s forwards;
}

.imgWrapper3 {
  animation: changeOpacity 4s forwards;
}

.contact {
  position: relative;
  display: flex;
  justify-content: center;
  height: 100vh;
  padding-top: 100px;
}
.contact__heading {
  font-size: 16px;
  padding-top: 100px;
  opacity: 0;
}
@media (max-width: 768px) {
  .contact__heading {
    text-align: center;
    padding-top: 0px;
  }
}
.contact__info {
  margin-bottom: 32px;
  text-align: center;
}
.contact__inputField {
  border: 1px solid transparent;
  background: transparent;
  border-bottom: 2px solid;
}
.contact__paragraph {
  padding: 12px;
}
.contact__starParagraph {
  font-size: 0.7rem;
  align-self: flex-start;
}
@media (max-width: 768px) {
  .contact {
    flex-direction: column;
    height: 100%;
    padding-top: 100px;
  }
}

.contactLeft {
  align-self: center;
}
@media (max-width: 768px) {
  .contactLeft {
    padding-top: 100px;
  }
}

.contactRight {
  margin-left: 3rem;
  margin-bottom: 3rem;
  align-self: center;
}
.contactRight__contactItem {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin: 1.1rem;
  opacity: 0;
}
.contactRight__contactItemPar {
  font-size: 1.3rem;
}
@media (max-width: 768px) {
  .contactRight__contactItemPar {
    font-size: 14px;
  }
}
@media (max-width: 768px) {
  .contactRight {
    margin: 0;
    padding-top: 2rem;
  }
}

.form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 2rem;
  opacity: 0;
}
.form__submit {
  margin: 24px 0 12px;
  padding: 18px 24px;
  border-radius: 8px;
  align-self: center;
  margin-top: 3rem;
  border: 2px solid;
  font-weight: 600;
  width: 180px;
  box-sizing: content-box;
}
.form__submit:hover {
  color: white;
  background-color: black;
}

input {
  height: 42px;
  max-height: 64px;
  margin-bottom: 16px;
  min-width: 300px;
  max-width: 460px;
  padding-left: 12px;
}

.input-container {
  display: flex;
  flex-direction: column;
}
.input-containerlabel {
  font-size: 1.2rem;
}

label {
  display: block;
}

textarea {
  padding: 12px;
  min-height: 120px;
  max-height: 400px;
  min-width: 300px;
  max-width: 460px;
  max-width: 460px;
  border: 1px solid transparent;
  background: #f1f1f1;
}

.contactOpacity {
  opacity: 1;
  transition: opacity 2s;
}

#elementForObserverPortfolio {
  width: 100%;
  height: 40vh;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "cuprum";
  scroll-behavior: smooth;
}

body {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  background: #F6EDE7;
  opacity: 1;
  transition: opacity 0.5s ease;
}

button {
  border: 1px solid transparent;
  background-color: transparent;
  cursor: pointer;
}

.hidden {
  display: none;
}

.overflow-hidden {
  overflow: hidden;
}

a {
  color: black !important;
  text-decoration: none;
  opacity: 1 !important;
}
a:visited {
  color: black !important;
}
a:hover {
  color: #a6a6a6;
}
a:active {
  color: black !important;
}